publishes.approve
POST /api/v1/publishes/{id}/approve. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the publish.approve permission on the…
POST
/api/v1/publishes/{id}/approve
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/publishes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the publish.approve permission on the board. Body limit: 256 KB.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
Example generated
{}Responses
Section titled “Responses”Success.
Media typeapplication/json
object
id
required
string format: uuid
board_id
required
string format: uuid
author_id
required
string
agent
required
string
base_n
required
integer
message
required
string
state
required
string
created_at
required
string format: date-time
Example
{ "state": "proposed", "error": { "code": "bad_request" }}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}